# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name gtk3

Name:           ghc-%{pkg_name}
Version:        0.14.1
Release:        1%{?dist}
Summary:        Binding to the Gtk+ 3 graphical user interface library

License:        LGPLv2+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  gtk2hs-buildtools
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
# End cabal-rpm deps

%description
This is the core library of the Gtk2Hs suite of libraries for Haskell based on
Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
graphical user interfaces.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(gthread-2.0)
Requires:       pkgconfig(gtk+-3.0)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %buildroot%{ghc_pkgdocdir}/COPYING

# we include the demos in devel docdir
rm -r %{buildroot}%{_datadir}/%{pkg_name}-%{version}


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license COPYING


%files devel -f %{name}-devel.files
%doc demo


%changelog
* Thu Sep  3 2015 Jens Petersen <petersen@fedoraproject.org> - 0.14.1-1
- update to 0.14.1

* Thu Jul  9 2015 Jens Petersen <petersen@redhat.com> - 0.13.8-2
- use license macro (#1045963)

* Mon Jun 29 2015 Jens Petersen <petersen@redhat.com> - 0.13.8-1
- update to 0.13.8
- mention Gtk+3 in summary (#1045963)

* Sat Jun 13 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.13.7-1
- spec file generated by cabal-rpm-0.9.6
